TLS 1.0 and TLS 1.1 EOL - 4/3/2017

On April 3rd, TownNews.com will be migrating off a legacy and insecure SSL standard known as TLS 1.0 and TLS 1.1. This will affect all services using our SSL/TLS protected offerings such as BLOX CMS, FTP, and Email.

TownNews is following the latest industry standards for security and following similar efforts that other major vendors have implemented. This transition will also put us in line with the latest PCI DSS guidelines which require modern TLS and ensure the highest level of security for our customers and their data.

This change may impact a very small percentage (much less than 1%) of end users that connect to our TLS enabled sites that are running older operating systems or browsers.

End users affected may be able to switch to a newer firefox or chrome version as a possible work around. For a complete matrix of browsers and operating systems that will be impacted, see:

https://en.wikipedia.org/wiki/Transport_Layer_Security#Web_browsers

For reference other providers in this space are also making these required changes:

See: https://www.fastly.com/blog/phase-two-our-tls-10-and-11-deprecation-plan and https://support.cloudflare.com/hc/en-us/articles/205043158-PCI-3-1-and-TLS-1-2